# WARNING - Generated by {fusen} from dev/flat_first_td-mesoutils.Rmd: do not edit by hand


#' get_info_data
#'
#' @param data jeu de donnees
#'
#' @return dimensions et nom des colonnes dans une liste
#' @export
#'
#' @examples
#'
#' get_info_data(data = iris)
#'
#' get_info_data(data = starwars)
#'
get_info_data <- function(data){
  
  if (isFALSE(is.data.frame(data))) {
    stop("mydata is not a data frame")
  }
  
  dimension <- c(nrow(data), ncol(data))
  
  names <- names(data)
  
  return(list(
    dimension = dimension,
    names = names))
    
}
